/*
Class: Terrain
Author: Tyler Carr
Modified: Mar 15 2020
Description: Stores terrain values
Attributes:
    - terrainEquationNumbers: Array holding the 3 randomly generated equation numbers, which are to be used in the set terrain equation
    - xMax and yMax: The maximum x and y values of the window
Methods:
    + getTerrainYCoordinate(double xCoordinate): Gets the current y value of the terrain at a given x value using the terrain equation numbers
    + getXMax()
    + getYMax()
*/

public class Terrain {
    private double[] terrainEquationNumbers;
    private int xMax, yMax;

    public Terrain(double[] terrainEquationNumbers, int xMax, int yMax) {
        this.terrainEquationNumbers = terrainEquationNumbers;
        this.xMax = xMax;
        this.yMax = yMax;
    }

    public double getTerrainYCoordinate(double xCoordinate) {
        //get y coordinate of terrain at specified x coordinate
        return (terrainEquationNumbers[0] * Math.sin(terrainEquationNumbers[1] * xCoordinate + terrainEquationNumbers[2])) + terrainEquationNumbers[0];
    }

    public int getXMax() {
        return xMax;
    }

    public int getYMax() {
        return yMax;
    }
}